<?xml version="1.0"?>
<!--
    This file is part of do228

    The do228 is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    The do228 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with do228.  If not, see <http://www.gnu.org/licenses/>.

    Dornier DO228 simulation by Bea Wolf (D-ECHO)
    Started 06/2020
-->

<!--	Universal EFI-890R simulation
		References:	http://www.uasc.com/home/shop/avionics/efi-890r
				https://www.uasc.com/docs/default-source/documents/brochures/uasc_efi-890r_brochure.pdf?sfvrsn=9e13985c_4
				Dornier 228-212 POH (ref. [1], see do228-212.xml)
				-->
				
<PropertyList>

	<path>efi-890r-du2.ac</path>
	
	<model>
		<overlay>
			<params>
				<brightness-prop>/instrumentation/efi-890r/display-unit[1]/brightness</brightness-prop>
				<brightness-btn-prop>/instrumentation/efi-890r/display-unit[1]/brightness-btn</brightness-btn-prop>
			</params>
		</overlay>
		<path>efi-890r.xml</path>
	</model>
	
	<effect>
		<inherits-from>Aircraft/do228/Models/Effects/display-lcd</inherits-from>
		<object-name>efi_890r_du2</object-name>
	</effect>
	
	<animation>
		<type>material</type>
		<object-name>efi_890r_du2</object-name>
		<ambient>
			<red>1</red>
			<green>1</green>
			<blue>1</blue>
			<factor-prop>/instrumentation/efi-890r/display-unit[1]/brightness</factor-prop>
		</ambient>
		<diffuse>
			<red>1</red>
			<green>1</green>
			<blue>1</blue>
			<factor-prop>/instrumentation/efi-890r/display-unit[1]/brightness</factor-prop>
		</diffuse>
		<emission>
			<red>1</red>
			<green>1</green>
			<blue>1</blue>
			<factor-prop>/instrumentation/efi-890r/display-unit[1]/brightness</factor-prop>
		</emission>
	</animation>
    
</PropertyList>
